ru.bitel.bgbilling.modules.inet.access.event

## Class InetAuthorizationRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.access.event.InetAuthorizationRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetAuthorizationRequestEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetAuthorizationRequestEvent()`
    `` | `InetAuthorizationRequestEvent(int moduleId, int userId, int accountingRootDeviceId, int deviceId, int servId, boolean accountingPeriodActivate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()`
    `int` | `getDeviceId()`
    `int` | `getServId()`
    `boolean` | `isAccountingPeriodActivate()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setAccessCode(int accessCode)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAuthorizationRequestEvent

          protected InetAuthorizationRequestEvent()

    - #### InetAuthorizationRequestEvent

          public InetAuthorizationRequestEvent(int moduleId,
                                               int userId,
                                               int accountingRootDeviceId,
                                               int deviceId,
                                               int servId,
                                               boolean accountingPeriodActivate)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### isAccountingPeriodActivate

          public boolean isAccountingPeriodActivate()

    - #### getAccessCode

          public int getAccessCode()

    - #### setAccessCode

          public void setAccessCode(int accessCode)